# Abonnement et Surveillance

Un utilisateur GTF peut faire une demande d'exécution sur un traitement GTF publié par un auteur/administrateur GTF à condition que :
-  le workspace GTF soit associé à un groupe dont fait parti le demandeur
-  l'auteur est autorisé la définition d'abonnements et de surveillances sur son traitement

## Abonnements

### Ajouter un abonnement

Dans le mode "Mon travail" ![](../../images/modes/gtf_my_work.png) , dans l'onglet demande. Il est possible d'ajouter un abonnement en cliquant sur le bouton **Ajouter un abonnement**.

![](../../images/utilisation/abonnements/liste_userworkspace.png)

Description des champs :
- **Actif ?** : Permet de définir si l'abonnement est actif ou non.
- **Catégorie** : Permet de n'afficher que les projets associé à une catégorie.
- **Projet FME** : Permet de choisir le projet que vous voulez exécuter.
- **Période d'abonnement** : Permet de définir la fréquence d'insertion de la demande (Les périodes sont définies par l'administrateur)
- **Envoyer un e-mail de notification** : Permet de choisir si un mail doit être envoyé à la fin du traitement et dans quel cas.
- **Envoyer une copie de l'email à** : Permet de saisir des adresses mail qui seront en copie du mail de notification.

Ensuite comme lors de l'ajout d'une demande, il faut remplir le formulaire contenant les paramètres publiés, et cliquer sur **Demander**

### Gestion de mes abonnements

Le tableau sur lequel vous étiez avant d'ajouter un abonnement, contient tous vos abonnements. Vos abonnements sont également visible dans la supervision par les administrateurs de GTF.

Un administrateur peut activer ou désactiver vos abonnements.

Une demande GTF faite avec votre utilisateur sera ajouté à la fréquence choisie, vous pourrez ainsi récupérer des résultat fichiers à travers l'interface et voir si l'itération de votre abonnement s'est bien déroulée;

## Surveillances

### Ajouter une surveillance

Dans le mode "Mon travail" ![](../../images/modes/gtf_my_work.png) , dans l'onglet demande. Il est possible d'ajouter un abonnement en cliquant sur le bouton **Ajouter une surveillance**.

![](../../images/utilisation/surveillances/liste_userworkspace.png)

Description des champs :
- **Catégorie** : Permet de n'afficher que les projets associé à une catégorie.
- **Projet FME** : Permet de choisir le projet que vous voulez exécuter.
- **Actif ?** : Permet de définir si l'abonnement est actif ou non.
- **Période d'abonnement** : Permet de définir la fréquence de surveillance du dépot de fichier (Les périodes sont définies par l'administrateur)
- **Envoyer un e-mail de notification** : Permet de choisir si un mail doit être envoyé à la fin du traitement et dans quel cas.
- **Envoyer une copie de l'email à** : Permet de saisir des adresses mail qui seront en copie du mail de notification.
- **Type de surveillance** : Permet de définir le type de surveillance à faire.
- **Repertoire** : Permet de choisir le dépot à surveiller (Les dépots sont définies par l'administrateur)
- **Sous-répertoire** : permet de définir un sous repertoire dans le dépot.

Ensuite comme lors de l'ajout d'une demande, il faut remplir le formulaire contenant les paramètres publiés, et cliquer sur **Demander** (Les champs de type fichier ne doivent pas être remplis)

### Gestion de mes surveillances

Le tableau sur lequel vous étiez avant d'ajouter une surveillance, contient toutes vos surveillances. Vos surveillances sont également visible dans la supervision par les administrateurs de GTF.

Un administrateur peut activer ou désactiver vos surveillances.

Une demande GTF faite avec votre utilisateur sera ajouté dés qu'un fichier sera détecter dans le sous-dossier du dépot défini dans la surveillance, vous pourrez ainsi récupérer des résultats fichiers à travers l'interface et voir si la demande de votre surveillance s'est bien déroulée;
