# Demande de traitement

Un utilisateur GTF peut faire une demande d'exécution sur un traitement GTF publié par un auteur/administrateur GTF à condition que :
-  le workspace GTF soit associé à un groupe dont fait parti le demandeur

## Ajouter une demande de traitements

Dans le mode "Mon travail" ![](../../images/modes/gtf_my_work.png) , dans l'onglet demande. Il est possible d'ajouter une demande en cliquant sur le bouton **Ajouter une demande**.

![](../../images/utilisation/demandes/liste_userworkspace.png)

Description des champs :
- **Catégorie** : Permet de n'afficher que les projets associé à une catégorie.
- **Projet FME** : Permet de choisir le projet que vous voulez exécuter.
- **Envoyer un e-mail de notification** : Permet de choisir si un mail doit être envoyé à la fin du traitement et dans quel cas.
- **Envoyer une copie de l'email à** : Permet de saisir des adresses mail qui seront en copie du mail de notification.
- **Date de planification** : Permet de définir une date d'exécution minimale pour votre traitement.

Une fois votre traitement choisi le formulaire de demande sera chargé dans la partie droite de cette page.

![](../../images/utilisation/demandes/userworkspace_form.png)

Vous devez remplir se formulaire et cliquer sur le bouton **Demander**.

Votre demande de traitement sera alors ajouté à la file des demande en attente de traitement. Elle sera visible par l'administrateur en mode supervision qui pourra intervenir dessus si besoin.

## Gestion de mes demandes de traitements

Le tableau sur lequel vous étiez avant d'ajouter une demande, contient toute vos demandes de traitements. Vos demandes sont également visible dans la supervision par l'auteur du traitement FME et les administrateurs de GTF.

Si vous supprimez une demande, elle ne sera plus visible dans votre interface et ne sera pas traitée par GTF. En revanche elle sera toujours visible pour l'auteur et les administrateurs et il sera clairement identifier dans l'interface de supervision que votre demande a été effacée.

![](../../images/utilisation/demandes/userorder_wkspclist.png)

Description des colonnes :
- **ID** : Identifiant unique de votre demande.
- **Projet FME** : Nom du projet dans GTF.
- **Etat** : Etat actuel de votre demande.
- **Résultat** : Vous permet de télécharger les fichiers résultant du traitement (dans une archive zip sauf exception)
- **Date de la demande** : Date à laquelle vous avez fait la demande.
- **Paramètres** : Liste des paramètres publiés passé au traitement FME.
- **Durée** : Durée d'exécution du traitment FME.
- **Date de planification** : Date à laquelle sera exécuté votre demande.
- **Notification** : Cas de notification suite au traitement de la demande.
- **Copie à** : Liste des adresse mail en copie de la notification.
