Il existe deux façons dans GTF de créer des Projets FME : l'ajout de projet et l'[Import de projets par lot](./ajout_de_projets_par_lot.html).

# Ajout de projet FME

Le bouton **Ajouter un Projet FME** de l’onglet Projets FME permet d’accéder au formulaire de création de projet.
 ![Formulaire de création de projet](../../../images/utilisation/publication/ajout_projet1.png)

 *Formulaire de création de projet*

 La première étape consiste à attribuer un nom au traitement.

**Règles de nommage des projets**

Plusieurs options sont possibles :
- L'auteur nomme le projet directement dans GTF. Dans l'exemple, ci-dessus, le projet se nomme "Zone_inondable".
- L'auteur choisit d'utiliser le nom du script FME et laisse dans GTF le champ "Nom du traitement" vide. Le nom du traitement est le nom du script FME sans son extension. Dans l'exemple ci-dessus, le projet se nommerait "zone_inondableswfs2kml".
- Si le nom du traitement existe déjà, alors le nom du nouveau projet est suffixé par la date du jour. Dans l'exemple ci-dessus, le nouveau projet serait nommé "Zone_inondable_jjmm.aaaa".
L’auteur charge ensuite le projet FME dans lequel il aura pris soin de publier certains paramètres comme par exemple le répertoire destination. Le paramètre "Ressources complémentaires" permet d’associer les ressources nécessaires pour l'exécution du projet FME, comme par exemple des données sources.

 ![](../../../../doc_module_vitis/images/icones/idea.png) GTF détecte les formats de types multifichiers (Shape File, EDIGEO…) contenus dans un fichier compressé ZIP que l’utilisateur uploade sur le serveur. Les fichiers sont automatiquement décompressés dans le répertoire projet.

Il définit ensuite la disponibilité du traitement sur [abonnement](../gestion_periodes.html) et pour [Surveillance](../gestion_depots.html).

Le [modèle d'email](../modeles_emails.hmtl) à associer au traitement doit ensuite être défini, ainsi que le moteur GTF auquel rattacher le traitement. La stratégie d'affiliation se fait à partir de la liste des [mots clés/moteurs](../../installation/initialisation_admin.hmtl), définis au préalable par l'administrateur de l'application.
Le bouton **Créer** permet ensuite de finaliser la première étape du processus de création de traitement en générant le formulaire correspondant.


 ![](../../../../doc_module_vitis/images/icones/idea.png) La création d'un projet génère ensuite un attribut "Clé" qui correspond à un identifiant unique universel du projet. Il s'agit d'une clé unique qui permet par exemple en cas de réinstallation de GTF, d'assurer l'unicité et le référencement du projet. Sa valeur est conservée en cas d'installation du projet sur un nouveau serveur contrairement à l'identifiant système ID.

 ![](../../../../doc_module_vitis/images/icones/warning_small.png) Tous les visualiseurs contenus dans un projet FME sont désactivés lors du processus d'import ou d'ajout  de projets dans GTF.
